timer = 0

Black = CreateSprite("Pixel","Top")
Black.Scale(640, 480)
Black.color = {0,0,0}

function Update()
	timer = timer + 1
	if timer == 1 then
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Texto = CreateText("[instant][novoice][font:uidialog]Puedes presionar P en el mapa para Pausar el juego y volver al menú antes de entrar en batalla.\n\nPuedes también mantener presionado ESC para Quitar el juego en cualquier momento.", {80, 320}, 500, "Top")
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Texto = CreateText("[instant][novoice][font:uidialog]Вы можете нажать P вне битвы, чтобы поставить игру на паузу и выйти в главное меню.\n\nВы также можете зажать ESC, чтобы Выйти из игры в любой момент.", {80, 320}, 500, "Top")
		else
			Texto = CreateText("[instant][novoice][font:uidialog]You can press P in the Overworld to Pause the game and go back to the menu before facing the battle.\n\nYou can also hold ESC to Quit the game at any moment.", {80, 320}, 500, "Top")
		end
		Texto.progressmode = "none"
		Texto.HideBubble()
		Texto.alpha = 0
	elseif timer > 1 and timer <= 61 then
		Texto.alpha = 1/60*(timer - 1)
	elseif timer > 420 and timer <= 480 then
		Texto.alpha = 1/60*(480 - timer)
	elseif timer == 481 then
		Texto.Remove()
		Black.Remove()
		Encounter.Call("DoReset", true)
	end
end